PHP Manual
Prev |  | Next

# strlen

(PHP 3, PHP 4, PHP 5)

strlen -- Get string length

## Description

int strlen ( string string )

Returns the length of the given string.

## Parameters

string

  The string being measured for length.

## Return Values

The length of the string on success, and 0 if the string is empty.

## Examples

Example 1. A strlen() example

`<?php $str = 'abcdef'; echo strlen($str); // 6 $str = ' ab cd '; echo strlen($str); // 7 ?>`

## See Also

count()
mb_strlen()

Prev | Home | Next
stristr | Up | strnatcasecmp